io.vertx.rxjava.ext.web.handler

## Class CookieHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.CookieHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class CookieHandler
      extends Object
      implements Handler<RoutingContext>

  A handler which decodes cookies from the request, makes them available in the and writes them back in the response.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<CookieHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookieHandler(CookieHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CookieHandler` | `create()` Create a cookie handler
    `CookieHandler` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static CookieHandler` | `newInstance(CookieHandler arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<CookieHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### CookieHandler

          public CookieHandler(CookieHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public CookieHandler getDelegate()

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `arg0` - the event to handle

    - #### create

          public static CookieHandler create()

      Create a cookie handler
      Returns:
        the cookie handler

    - #### newInstance

          public static CookieHandler newInstance(CookieHandler arg)

Copyright © 2017. All rights reserved.